package com.eitc.common.utils;

import cn.dev33.satoken.SaManager;

import java.util.Map;










public class InterfaceVerificationUtil {


    // 加校验参数后返回map
    public static void getSaSign(Map<String, Object> paramMap) {
        paramMap.put("secretKey", "kQwIOrYvnXmSDkwEiFngrK2idMcdrgKor");
        Map<String, Object> stringObjectMap = SaManager.getSaSignTemplate().addSignParams(paramMap);
        paramMap.putAll(stringObjectMap);
    }

    // 加校验参数后返回字符串
    public static String getSaSignStr(Map<String, Object> paramMap) {
        paramMap.put("secretKey", "kQwIOrYvnXmSDkwEiFngrK2idMcdrgKor");
        return SaManager.getSaSignTemplate().addSignParamsAndJoin(paramMap);
    }



}
